Bug 124000 - vnc fails to load Bluecurve icon set
vnc fails to load Bluecurve icon set
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 15:25 EDT by Zach Shipley
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zach Shipley 2004-05-22 15:25:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When loading my vnc display (1:root) from Windows XP (VNC viewer beta
4), the default Bluecurve icons no longer display.  Instead, I am
presented with ugly gray icons (paper with a fold) representing almost
everything.  Additionally, when it is specified in
/etc/sysconfig/vncservers to start 1:root on startup, my :0 display
also takes on these attributes.  I found that stopping xvnc will cause
the icons to revert back to Bluecurve on the :0 display (all except
for the fedora "start here" icon, which is replaced by Gnome's default
icon).

This problem occured on the default install of FC2, and also under
vnc-3.3.7 on FC2.  FC1 never had any problems with either version of
RealVNC.

Version-Release number of selected component (if applicable):
vnc-server-4.0-1.beta4.11

How reproducible:
Always

Steps to Reproduce:
1. Use default values for vnc configuration on FC2 (except for
uncommenting the two lines in xstartup for normal desktop) 
2. In Gnome, start vncserver either through the system-config-services
tool or "vncserver :1" in the terminal.
3. Use vncviewer to connect to the remote display :1.
    

Actual Results:  The VNC display shows gray icons for almost
everything, making it rather difficult to work in the environment.

Expected Results:  Fedora's default Bluecurve icons should display in
the VNC viewer window.

Additional info:
Comment 1 Tim Waugh 2004-05-24 07:18:08 EDT
This is a GNOME problem.  It doesn't like you having two sessions for
the same user.  This worked once but seems to have broken again.
Comment 2 Zach Shipley 2004-05-24 15:13:21 EDT
I see.  Thanks for clarifying.  This is not such a big problem then.  
Personally, I'm fine with never logging in locally to the machine 
anyway.  It never occurred to me to try this.  Thanks for your hard 
work in making Fedora so great.
Comment 3 Matthew Miller 2005-04-26 11:10:14 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ray Strode [halfline] 2005-05-11 17:38:16 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.